Kubernetes
action Network

# allow_dns_access

Allow DNS access from pods

Run it now
View details

Type | action
Module | chaosk8s.networking.actions
Name | allow_dns_access
Return | none

Usage

JSON

    {
      "name": "allow-dns-access",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.networking.actions",
        "func": "allow_dns_access"
      }
    }

YAML

    name: allow-dns-access
    provider:
      func: allow_dns_access
      module: chaosk8s.networking.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |
label_selectors | mapping | null | No | Label Selectors | Pod label selectors to target with the action

Convenient helper rule to DNS access from all pods in a namespace, unless `label_selectors` is set, in which case, only matching pods will be impacted.

Signature

    def allow_dns_access(label_selectors: Dict[str, Any] = None,
                         ns: str = 'default',
                         secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- fault
  action Network

  ## `Stop Network Proxy`

  Stop the fault proxy.
- Kubernetes
  action Network

  ## `deny_all_egress`

  Deny all egress from pods
- Kubernetes
  action Network

  ## `corrupt_packets`

  Corrupt packets on a Pod network link